CANLOGSERVER(1)

NAME
canlogserver - manual page for canlogserver 2023.03-1

SYNOPSIS
canlogserver [options] <CAN interface>+

DESCRIPTION

    (use CTRL-C to terminate canlogserver)

OPTIONS

-m <mask>
    (ID filter mask. Default 0x00000000) *

-v <value>
    (ID filter value. Default 0x00000000) *

-i <0|1>
    (invert the specified ID filter) *

-e <emask>
    (mask for error frames)

-p <port>
    (listen on port <port>. Default: 28700)

* The CAN ID filter matches, when ...

    <received_can_id> & mask == value & mask

When using more than one CAN interface the options m/v/i/e have comma separated values e.g. '-m 0,7FF,0'

Use interface name 'any' to receive from all CAN interfaces.